Skip to main content
GET
List resources using a policy

Authorizations

Authorization
string
header
required

OAuth2 authentication with JWT tokens

FlowAuthorization Code
Authorization URL
/oauth/authorize
Token URL
/oauth/token
FlowClient Credentials
Token URL
/oauth/token
Scopes6
policies:get
Get policy details
agents:list
List agents
functions:list
List functions
models:list
List models
sandboxes:list
List sandboxes
jobs:list
List jobs

Path Parameters

policyName
string
required

Unique name identifier of the policy

Response

200 - application/json

successful operation

Resources currently referencing a policy. Returned by GET /policies/{name}/usages so the policies UI can render attachments without fetching the agents/models/functions listings full.

agents
object[]

Names of agents whose spec.policies contains this policy.

functions
object[]

Names of functions whose spec.policies contains this policy.

jobs
object[]

Names of jobs whose spec.policies contains this policy.

models
object[]

Names of models whose spec.policies contains this policy.

sandboxes
object[]

Names of sandboxes whose spec.policies contains this policy.

Last modified on October 9, 2026